Subject: bug#16155: 24.3.50;

From: Stefan Monnier <[email-masked]>
Date: Sun, 15 Dec 2013 08:05:39 -0500

> I don't ever like having newline indent.  It should be a minor mode,

It is a minor mode.  Called electric-indent-mode, and no enabled by default.
See NEWS.

> and the documentation of `newline' should explain how to easily turn
> this off.

The docstring does mention the indentation behavior, with a link to
electric-indent-mode.

        Stefan